Foxit PDF SDK

Instance Methods | Properties | List of all members
FSIconFit Class Reference

Inherits NSObject.

## Instance Methods
(id) | - init
| Constructor.
(id) | - initWithIcon_fit:
| Constructor, with another icon fit object. More...
(id) | - initWithType:is_proportional_scaling:horizontal_fraction:vertical_fraction:fit_bounds:
| Constructor, with parameters. More...
(void) | - set:is_proportional_scaling:horizontal_fraction:vertical_fraction:fit_bounds:
| Set value. More...

## Properties
BOOL | fit_bounds
| A boolean value that indicates whether to scale button appearance to fit fully within bounds or not. More...
float | horizontal_fraction
| The horizontal fraction of left-over space to allocate at the left and bottom of the icon. More...
BOOL | is_proportional_scaling
| A boolean value which indicates whether use proportional scaling or not. More...
FSIconFitScaleWayType | scale_way_type
| The circumstances under which the icon should be scaled inside the annotation rectangle. Please refer to values starting from FSIconFitScaleWayNone and this should be one of these values. When current icon fit object is used for setting, this value should not be FSIconFitScaleWayNone.
float | vertical_fraction
| The vertical fraction of left-over space to allocate at the left and bottom of the icon. More...

## Detailed Description

This class represents icon fit information. Icon fit information is used to specify how to display a button's icon within the annotation rectangle of its associated widget annotation.

## Method Documentation

## ◆ initWithIcon_fit:()

- (id) initWithIcon_fit: |  | (FSIconFit*) | icon_fit |

Constructor, with another icon fit object.

Parameters

  [in] | icon_fit | Another icon fit object.

## ◆ initWithType:is_proportional_scaling:horizontal_fraction:vertical_fraction:fit_bounds:()

- (id) initWithType: |  | (FSIconFitScaleWayType) | type
is_proportional_scaling: |  | (BOOL) | is_proportional_scaling
horizontal_fraction: |  | (float) | horizontal_fraction
vertical_fraction: |  | (float) | vertical_fraction
fit_bounds: |  | (BOOL) | fit_bounds

Constructor, with parameters.

Parameters

  [in] | type | The circumstances under which the icon should be scaled inside the annotation rectangle. Please refer to values starting from FSIconFitScaleWayAlways and this should be one of these values. This value shold not be FSIconFitScaleWayNone when current icon fit object is used for setting.
  [in] | is_proportional_scaling | Indicates whether use proportional scaling or not. YES means to fill the annotation rectangle exactly, without regard to its original aspect ratio (ratio of width to height). NO means scale the icon to fit the width or height of the annotation rectangle while maintaining the icon's original aspect ratio.
  [in] | horizontal_fraction | The horizontal fraction of left-over space to allocate at the left and bottom of the icon if the icon is scaled proportionally. Valid range: 0.0 to 1.0.
  [in] | vertical_fraction | The vertical fraction of left-over space to allocate at the left and bottom of the icon if the icon is scaled proportionally. Valid range: 0.0 to 1.0.
  [in] | fit_bounds | Indicates whether to scale button appearance to fit fully within bounds or not. YES means that the button appearance should be scaled to fit fully within the bounds of the annotation without taking into consideration the line width of the border.

## ◆ set:is_proportional_scaling:horizontal_fraction:vertical_fraction:fit_bounds:()

- (void) set: |  | (FSIconFitScaleWayType) | type
is_proportional_scaling: |  | (BOOL) | is_proportional_scaling
horizontal_fraction: |  | (float) | horizontal_fraction
vertical_fraction: |  | (float) | vertical_fraction
fit_bounds: |  | (BOOL) | fit_bounds

Set value.

Parameters

  [in] | type | The circumstances under which the icon should be scaled inside the annotation rectangle. Please refer to values starting from FSIconFitScaleWayAlways and this should be one of these values. This value shold not be FSIconFitScaleWayNone when current icon fit object is used for setting.
  [in] | is_proportional_scaling | Indicates whether use proportional scaling or not. YES means to fill the annotation rectangle exactly, without regard to its original aspect ratio (ratio of width to height). NO means scale the icon to scale the icon to fit the width or height of the annotation rectangle while maintaining the icon's original aspect ratio.
  [in] | horizontal_fraction | The horizontal fraction of left-over space to allocate at the left and bottom of the icon if the icon is scaled proportionally. Valid range: 0.0 to 1.0.
  [in] | vertical_fraction | The vertical fraction of left-over space to allocate at the left and bottom of the icon if the icon is scaled proportionally. Valid range: 0.0 to 1.0.
  [in] | fit_bounds | Indicates whether to scale button appearance to fit fully within bounds or not. YES means that the button appearance should be scaled to fit fully within the bounds of the annotation without taking into consideration the line width of the border.

Returns
  None.

## Property Documentation

## ◆ fit_bounds

- (BOOL) fit_bounds
| read write nonatomic assign

A boolean value that indicates whether to scale button appearance to fit fully within bounds or not.

YES indicates that the button appearance should be scaled to fit fully within the bounds of the annotation without taking into consideration the line width of the border.

## ◆ horizontal_fraction

- (float) horizontal_fraction
| read write nonatomic assign

The horizontal fraction of left-over space to allocate at the left and bottom of the icon.

This entry is used only if the icon is scaled proportionally. Valid range: 0.0 to 1.0.

## ◆ is_proportional_scaling

- (BOOL) is_proportional_scaling
| read write nonatomic assign

A boolean value which indicates whether use proportional scaling or not.

YES means to fill the annotation rectangle exactly, without regard to its original aspect ratio (ratio of width to height).
NO means scale the icon to scale the icon to fit the width or height of the annotation rectangle while maintaining the icon's original aspect ratio.

## ◆ vertical_fraction

- (float) vertical_fraction
| read write nonatomic assign

The vertical fraction of left-over space to allocate at the left and bottom of the icon.

This entry is used only if the icon is scaled proportionally. Valid range: 0.0 to 1.0.